PDA

View Full Version : Can't update: "error in the repository initialization"



abach
16-Oct-2013, 19:14
When I run yast2 online_update it says:
There was an error in the repository initialization.
'nu_novell_com:SLES11-SP3-Updates': [|] Failed to cache repo (4).
History:
- 'repo2solv.sh' '-o' '/var/cache/zypp/solv/nu_novell_com:SLES11-SP3-Updates/solv' '/var/cache/zypp/raw/nu_novell_com:SLES11-SP3-Updates'
Invalid checksum length: 8: for sha
sed: couldn't write 77 items to stdout: Broken pipe
grep: write error

gzip: stdout: Broken pipe
/usr/bin/repo2solv.sh: line 126: echo: write error: Broken pipe

gzip: stdout: Broken pipe
/usr/bin/repo2solv.sh: line 132: echo: write error: Broken pipe


Similar things happen if I re-register via suse_register:
Refreshing service 'nu_novell_com'.
All services have been refreshed.
Repository 'SLES11-SP3-Pool' is up to date.
Repository 'SLES11-SP3-Updates' is up to date.
Building repository 'SLES11-SP3-Updates' cache [...done]
Error building the cache:
[|] Failed to cache repo (4).
Skipping repository 'SLES11-SP3-Updates' because of the above error.
Some of the repositories have not been refreshed because of an error.
Ignored(34)
Refreshing service 'nu_novell_com'.
All services have been refreshed.
Repository 'SLES11-SP3-Pool' is up to date.
Repository 'SLES11-SP3-Updates' is up to date.
Building repository 'SLES11-SP3-Updates' cache [...done]
Error building the cache:
[|] Failed to cache repo (4).
Skipping repository 'SLES11-SP3-Updates' because of the above error.
Some of the repositories have not been refreshed because of an error.
Ignored(34)
Registration finished successfully


No Updates occur and I'm stuck.
Any ideas folks?

Thanks
===>Andreas

BrentMTSU
16-Oct-2013, 20:11
I get the same error.....started today.

ab
16-Oct-2013, 20:21
Perhaps try refreshing now.

zypper ref

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below...

BrentMTSU
16-Oct-2013, 20:32
Tried it...

zypper ref
Repository 'SLES11-SP3-Extension-Store' is up to date.
Repository 'SLES11-SP3-Pool' is up to date.
Repository 'SLES11-SP3-Updates' is up to date.
Building repository 'SLES11-SP3-Updates' cache [done]
Error building the cache:
[|] Failed to cache repo (4).
Skipping repository 'SLES11-SP3-Updates' because of the above error.
Some of the repositories have not been refreshed because of an error.

malcolmlewis
16-Oct-2013, 20:44
On Wed 16 Oct 2013 07:34:02 PM CDT, BrentMTSU wrote:


Tried it...

zypper ref
Repository 'SLES11-SP3-Extension-Store' is up to date.
Repository 'SLES11-SP3-Pool' is up to date.
Repository 'SLES11-SP3-Updates' is up to date.
Building repository 'SLES11-SP3-Updates' cache [done]
Error building the cache:
[|] Failed to cache repo (4).
Skipping repository 'SLES11-SP3-Updates' because of the above error.
Some of the repositories have not been refreshed because of an error.




Hi
A Known issue;
https://www.suse.com/support/kb/doc.php?id=7013462

It's menat to have been fixed now, however it may take a bit for the
changes to sync out... give it another hour or so.

--
Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
openSUSE 12.3 (x86_64) GNOME 3.8.4 Kernel 3.7.10-1.16-desktop
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

BrentMTSU
16-Oct-2013, 21:12
Working now.